Tenseur mathematics
Old tensorial fields (*** Deprecated ***)

() More...

## Functions

Tenseur | Lorene::operator+ (const Tenseur &)
Tenseur | Lorene::operator- (const Tenseur &)
| `-` Tenseur
Tenseur | Lorene::operator+ (const Tenseur &, const Tenseur &)
| Tenseur + Tenseur.
Tenseur | Lorene::operator+ (const Tenseur &, double)
| Tenseur + double (the `Tenseur` must be a scalar).
Tenseur | Lorene::operator+ (double, const Tenseur &)
| double + Tenseur (the `Tenseur` must be a scalar)
Tenseur | Lorene::operator+ (const Tenseur &, int)
| Tenseur + int (the `Tenseur` must be a scalar).
Tenseur | Lorene::operator+ (int, const Tenseur &)
| int + Tenseur (the `Tenseur` must be a scalar)
Tenseur | Lorene::operator- (const Tenseur &, const Tenseur &)
| Tenseur - Tenseur.
Tenseur | Lorene::operator- (const Tenseur &, double)
| Tenseur - double (the `Tenseur` must be a scalar).
Tenseur | Lorene::operator- (double, const Tenseur &)
| double - Tenseur (the `Tenseur` must be a scalar)
Tenseur | Lorene::operator- (const Tenseur &, int)
| Tenseur - int (the `Tenseur` must be a scalar).
Tenseur | Lorene::operator- (int, const Tenseur &)
| int - Tenseur (the `Tenseur` must be a scalar)
Tenseur | Lorene::operator* (const Tenseur &, double)
| Tenseur * double.
Tenseur | Lorene::operator* (double, const Tenseur &)
| double * Tenseur
Tenseur | Lorene::operator* (const Tenseur &, int)
| Tenseur * int.
Tenseur | Lorene::operator* (int, const Tenseur &)
| int * Tenseur
Tenseur | Lorene::operator/ (const Tenseur &a, const Tenseur &b)
| Tenseur / Tenseur (`b` must be a scalar).
Tenseur | Lorene::operator/ (const Tenseur &, double)
| Tenseur / double.
Tenseur | Lorene::operator/ (double, const Tenseur &)
| double / Tenseur (the `Tenseur` must be a scalar)
Tenseur | Lorene::operator/ (const Tenseur &, int)
| Tenseur / int.
Tenseur | Lorene::operator/ (int, const Tenseur &)
| int / Tenseur (the `Tenseur` must be a scalar)
Tenseur | Lorene::exp (const Tenseur &)
| Exponential (for a scalar only).
Tenseur | Lorene::log (const Tenseur &)
| Neperian logarithm (for a scalar only).
Tenseur | Lorene::sqrt (const Tenseur &)
| Square root (for a scalar only).
Tenseur | Lorene::abs (const Tenseur &)
| Absolute value (for a scalar only).
Tenseur | Lorene::pow (const Tenseur &, int)
| Power (for a scalar only).
Tenseur | Lorene::pow (const Tenseur &, double)
| Power (for a scalar only).

## Detailed Description

()

## Function Documentation

## abs()

Tenseur Lorene::abs | ( | const Tenseur & | t | ) |

Absolute value (for a scalar only).

?

Definition at line 119 of file tenseur_math.C.

References abs(), Lorene::Tenseur::get_etat(), Lorene::Tenseur::get_metric(), Lorene::Tenseur::get_mp(), Lorene::Tenseur::get_poids(), Lorene::Tenseur::get_valence(), Lorene::Tenseur::set(), and Lorene::Tenseur::set_etat_qcq().

## exp()

Tenseur Lorene::exp | ( | const Tenseur & | t | ) |

Exponential (for a scalar only).

Definition at line 70 of file tenseur_math.C.

References exp(), Lorene::Tenseur::get_etat(), Lorene::Tenseur::get_mp(), Lorene::Tenseur::get_valence(), Lorene::Tenseur::set(), and Lorene::Tenseur::set_etat_qcq().

## log()

Tenseur Lorene::log | ( | const Tenseur & | t | ) |

Neperian logarithm (for a scalar only).

Definition at line 89 of file tenseur_math.C.

References Lorene::Tenseur::get_etat(), Lorene::Tenseur::get_mp(), Lorene::Tenseur::get_valence(), log(), Lorene::Tenseur::set(), and Lorene::Tenseur::set_etat_qcq().

## operator*() [1/4]

Tenseur Lorene::operator* | ( | const Tenseur & | t,
|  | double | x )

Tenseur * double.

Definition at line 292 of file tenseur_arithm.C.

References x.

## operator*() [2/4]

Tenseur Lorene::operator* | ( | const Tenseur & | t,
|  | int | m )

Tenseur * int.

Definition at line 301 of file tenseur_arithm.C.

## operator*() [3/4]

Tenseur Lorene::operator* | ( | double | x,
|  | const Tenseur & | t )

double * Tenseur

Definition at line 269 of file tenseur_arithm.C.

References Lorene::Tenseur::donne_indices(), Lorene::Tenseur::get_etat(), Lorene::Tenseur::get_metric(), Lorene::Tenseur::get_mp(), Lorene::Tenseur::get_n_comp(), Lorene::Tenseur::get_poids(), Lorene::Tenseur::get_triad(), Lorene::Tenseur::get_type_indice(), Lorene::Tenseur::get_valence(), Lorene::Tenseur::set(), Lorene::Tenseur::set_etat_qcq(), Lorene::Tenseur::set_etat_zero(), and x.

## operator*() [4/4]

Tenseur Lorene::operator* | ( | int | m,
|  | const Tenseur & | t )

int * Tenseur

Definition at line 296 of file tenseur_arithm.C.

## operator+() [1/6]

Tenseur Lorene::operator+ | ( | const Tenseur & | t | ) |

- Tenseur

Definition at line 107 of file tenseur_arithm.C.

## operator+() [2/6]

Tenseur Lorene::operator+ | ( | const Tenseur & | t1,
|  | const Tenseur & | t2 )

Tenseur + Tenseur.

Definition at line 137 of file tenseur_arithm.C.

References Lorene::Tenseur::donne_indices(), Lorene::Tenseur::get_etat(), Lorene::Tenseur::get_metric(), Lorene::Tenseur::get_mp(), Lorene::Tenseur::get_n_comp(), Lorene::Tenseur::get_poids(), Lorene::Tenseur::get_triad(), Lorene::Tenseur::get_type_indice(), Lorene::Tenseur::get_valence(), Lorene::Tenseur::set(), and Lorene::Tenseur::set_etat_qcq().

## operator+() [3/6]

Tenseur Lorene::operator+ | ( | const Tenseur & | t1,
|  | double | x )

Tenseur + double (the `Tenseur` must be a scalar).

Definition at line 169 of file tenseur_arithm.C.

References Lorene::Tenseur::get_etat(), Lorene::Tenseur::get_metric(), Lorene::Tenseur::get_mp(), Lorene::Tenseur::get_poids(), Lorene::Tenseur::get_valence(), Lorene::Tenseur::set(), Lorene::Tenseur::set_etat_qcq(), and x.

## operator+() [4/6]

Tenseur Lorene::operator+ | ( | const Tenseur & | t1,
|  | int | m )

Tenseur + int (the `Tenseur` must be a scalar).

Definition at line 195 of file tenseur_arithm.C.

## operator+() [5/6]

Tenseur Lorene::operator+ | ( | double | x,
|  | const Tenseur & | t2 )

double + Tenseur (the `Tenseur` must be a scalar)

Definition at line 189 of file tenseur_arithm.C.

References x.

## operator+() [6/6]

Tenseur Lorene::operator+ | ( | int | m,
|  | const Tenseur & | t2 )

int + Tenseur (the `Tenseur` must be a scalar)

Definition at line 202 of file tenseur_arithm.C.

## operator-() [1/6]

Tenseur Lorene::operator- | ( | const Tenseur & | t | ) |

`-` Tenseur

Definition at line 113 of file tenseur_arithm.C.

References Lorene::Tenseur::donne_indices(), Lorene::Tenseur::get_etat(), Lorene::Tenseur::get_metric(), Lorene::Tenseur::get_mp(), Lorene::Tenseur::get_n_comp(), Lorene::Tenseur::get_poids(), Lorene::Tenseur::get_triad(), Lorene::Tenseur::get_type_indice(), Lorene::Tenseur::get_valence(), Lorene::Tenseur::set(), and Lorene::Tenseur::set_etat_qcq().

## operator-() [2/6]

Tenseur Lorene::operator- | ( | const Tenseur & | t1,
|  | const Tenseur & | t2 )

Tenseur - Tenseur.

Definition at line 214 of file tenseur_arithm.C.

## operator-() [3/6]

Tenseur Lorene::operator- | ( | const Tenseur & | t1,
|  | double | x )

Tenseur - double (the `Tenseur` must be a scalar).

Definition at line 221 of file tenseur_arithm.C.

References Lorene::Tenseur::get_etat(), Lorene::Tenseur::get_metric(), Lorene::Tenseur::get_mp(), Lorene::Tenseur::get_poids(), Lorene::Tenseur::get_valence(), Lorene::Tenseur::set(), Lorene::Tenseur::set_etat_qcq(), and x.

## operator-() [4/6]

Tenseur Lorene::operator- | ( | const Tenseur & | t1,
|  | int | m )

Tenseur - int (the `Tenseur` must be a scalar).

Definition at line 248 of file tenseur_arithm.C.

## operator-() [5/6]

Tenseur Lorene::operator- | ( | double | x,
|  | const Tenseur & | t2 )

double - Tenseur (the `Tenseur` must be a scalar)

Definition at line 241 of file tenseur_arithm.C.

References x.

## operator-() [6/6]

Tenseur Lorene::operator- | ( | int | m,
|  | const Tenseur & | t2 )

int - Tenseur (the `Tenseur` must be a scalar)

Definition at line 255 of file tenseur_arithm.C.

## operator/() [1/5]

Tenseur Lorene::operator/ | ( | const Tenseur & | t,
|  | double | x )

Tenseur / double.

Definition at line 356 of file tenseur_arithm.C.

References Lorene::Tenseur::donne_indices(), Lorene::Tenseur::get_etat(), Lorene::Tenseur::get_metric(), Lorene::Tenseur::get_mp(), Lorene::Tenseur::get_n_comp(), Lorene::Tenseur::get_poids(), Lorene::Tenseur::get_triad(), Lorene::Tenseur::get_type_indice(), Lorene::Tenseur::get_valence(), Lorene::Tenseur::set(), Lorene::Tenseur::set_etat_qcq(), and x.

## operator/() [2/5]

Tenseur Lorene::operator/ | ( | const Tenseur & | t,
|  | int | m )

Tenseur / int.

Definition at line 401 of file tenseur_arithm.C.

## operator/() [3/5]

Tenseur Lorene::operator/ | ( | const Tenseur & | a,
|  | const Tenseur & | b )

Tenseur / Tenseur (`b` must be a scalar).

Definition at line 310 of file tenseur_arithm.C.

References Lorene::Tenseur::donne_indices(), Lorene::Tenseur::get_etat(), Lorene::Tenseur::get_metric(), Lorene::Tenseur::get_mp(), Lorene::Tenseur::get_n_comp(), Lorene::Tenseur::get_poids(), Lorene::Tenseur::get_triad(), Lorene::Tenseur::get_type_indice(), Lorene::Tenseur::get_valence(), Lorene::Tenseur::set(), Lorene::Tenseur::set_etat_qcq(), Lorene::Tenseur::set_metric(), and Lorene::Tenseur::set_poids().

## operator/() [4/5]

Tenseur Lorene::operator/ | ( | double | x,
|  | const Tenseur & | t )

double / Tenseur (the `Tenseur` must be a scalar)

Definition at line 384 of file tenseur_arithm.C.

References Lorene::Tenseur::get_etat(), Lorene::Tenseur::get_metric(), Lorene::Tenseur::get_mp(), Lorene::Tenseur::get_poids(), Lorene::Tenseur::get_valence(), Lorene::Tenseur::set(), Lorene::Tenseur::set_etat_qcq(), and x.

## operator/() [5/5]

Tenseur Lorene::operator/ | ( | int | m,
|  | const Tenseur & | t )

int / Tenseur (the `Tenseur` must be a scalar)

Definition at line 407 of file tenseur_arithm.C.

## pow() [1/2]

Tenseur Lorene::pow | ( | const Tenseur & | t,
|  | double | a )

Power (for a scalar only).

Definition at line 134 of file tenseur_math.C.

References Lorene::Tenseur::get_etat(), Lorene::Tenseur::get_metric(), Lorene::Tenseur::get_mp(), Lorene::Tenseur::get_poids(), Lorene::Tenseur::get_valence(), pow(), Lorene::Tenseur::set(), Lorene::Tenseur::set_etat_qcq(), Lorene::Tenseur::set_etat_zero(), and Lorene::Tenseur::set_std_base().

## pow() [2/2]

Tenseur Lorene::pow | ( | const Tenseur & | t,
|  | int | n )

Power (for a scalar only).

Definition at line 163 of file tenseur_math.C.

References Lorene::Tenseur::get_etat(), Lorene::Tenseur::get_metric(), Lorene::Tenseur::get_mp(), Lorene::Tenseur::get_poids(), Lorene::Tenseur::get_valence(), pow(), Lorene::Tenseur::set(), Lorene::Tenseur::set_etat_qcq(), and Lorene::Tenseur::set_etat_zero().

## sqrt()

Tenseur Lorene::sqrt | ( | const Tenseur & | t | ) |

Square root (for a scalar only).

Definition at line 104 of file tenseur_math.C.

References Lorene::Tenseur::get_etat(), Lorene::Tenseur::get_metric(), Lorene::Tenseur::get_mp(), Lorene::Tenseur::get_poids(), Lorene::Tenseur::get_valence(), Lorene::Tenseur::set(), Lorene::Tenseur::set_etat_qcq(), and sqrt().